 #ifndef AT45DBXXX_IMPORT_H      
     // AT45DBXXX_IMPORT_H - предотвращает ошибки при рекурсивном включении пользователем 
     // заголовочных файлов этого драйвера внутри AT45DBXXX_import.h

     #undef AT45DB321D_APILEVEL
     #undef AT45DB321D_LOWLEVEL
 #endif
  
 #include "drivers\flash\lowlevel\AT45DB321D_GLOB.h"
 #include "drivers\flash\common\AT45DB321D_ERR.h"
 #include "drivers\flash\api\AT45DB321D_API.h"

 #ifndef AT45DB321D_APIFUNC_H
 #define AT45DB321D_APIFUNC_H
 // flash_initialize - инициализация драйвера и API работы с устройством
 flash_err_t flash_initialize();

 // flash_getready - проверка готовности устройства (со стандартным таймаутом)
 flash_err_t flash_getready();
 
 // flash_service - функция получения общих сведений об флеш-памяти.
 flash_err_t flash_service( flash_service_info_t si, void * pdata, __FLASH_WORD * pbufsize );
 
 // flash_protect - установить защиту секторов 
 flash_err_t flash_protect( flash_api_protect_t * content );
 
 // flash_protect - снять защиту секторов
 flash_err_t flash_unprotect( flash_api_protect_t * content );

 // flash_protect_ex - установить/снять защиту секторов  
 flash_err_t flash_protect_ex( flash_api_protect_t * content, flash_api_protect_bits mode );
 
 // flash_getprotect - получить информацию о защищенных секторах.
 flash_err_t flash_getprotect( flash_api_getprotect_t * content );
 
 // flash_erase - мультирежимное стирание данных
 flash_err_t flash_erase( flash_erase_mode_t mode, __FLASH_DWORD start, __FLASH_DWORD count );
 
 // flash_write - мультирежимная запись данных по адресу
 flash_err_t flash_write( flash_address_t address, __FLASH_BYTE * pBuffer, flash_address_t size, flash_write_mode_t mode );
 
 // flash_read - чтение данных по адресу
 flash_err_t flash_read( flash_address_t address, __FLASH_BYTE * pBuffer, flash_address_t size );
 
 // flash_sleepmode - переход в режим пониженного энергопотребления
 flash_err_t flash_sleepmode();
  
 // flash_wakeup - выход из режима пониженного энергопотребления
 flash_err_t flash_wakeup();

 // flash_finalize - деинициализация драйвера
 flash_err_t flash_finalize( bool bHibernate, bool bForce );
 #endif
 